<template>
  <div class="knowledge-con">

    <navs :isLogin="isLogin" :rightText="rightText" @went="goBack()"></navs>
    <div class="topic-desc-con">
      <h3 class="desc-tits">
        {{obj.exercisesName}}:{{obj.exercisesContent}}
      </h3>
      <div class="answer-pare-con">
        <p class="answer-reminder">请同学在纸上答题</p>
        <div class="answer-con-btn" @click="isChecked=!isChecked">
          <button class="answers" @click="getAnswer(obj.answerId)">查看答案</button>
        </div>
      </div>

    </div>
    <div class="checked-answer" v-show="isChecked">
      <div class="answer-desc">
        <p class="check-tits">
          答案:
        </p>
        <p class="answer-con">
          {{aObj.answerContent}}
        </p>
        <p class="check-tits">
          是否加入错题库？
        </p>
        <div class="check-box-con">
          <span :class="{'yes-con':isClicked,'no-con':!isClicked}" > 是</span>
          <span :class="{'no-con':!isOn,'yes-con':isOn}"  @click="isOn=!isOn">否</span>
        </div>

      </div>
      <div class="note-new-list">
        <ul class="note-pare">
          <li class="note-left">笔记</li>
          <li class="note-rig" @click="addNote()">添加笔记</li>
        </ul>
      </div>
    </div>


    <div class="knowledge-list-con">
      <knowledge-list :knowArray="knowArray" @edits="editNote" @deleted="deleteNote"></knowledge-list>
    </div>
    <div class="submit-continue">
      <div class="submit-btn">
        <buttons :buttonText="btnText" @clickButton="submitNow"></buttons>
      </div>

    </div>
    <div class="circle-btn">
      <ul class="circle-list">
        <li v-for="item in 5">{{item}}</li>
      </ul>
    </div>
  </div>
</template>

<script>
  import navs from '../components/headers.vue';
  import knowledgeList from '../components/knowledgeList.vue';
  import buttons from '../components/buttons.vue';
  import M from '../utils/api.js';
  import alert from '../utils/base.js';
  export default {
    name: 'loading',
    data () {
      return {
        heights: window.innerHeight,
        isLogin: false,
        rightText: "课堂练习",
        isFooter: false,
        btnText:"提交并接续",
        isChecked: false,
        isVideo:false,
        knowArray:[],
        obj:{},
        aObj:{},
        isClicked:true,
        isOn:false,
        videoSrc:1,
        exercisesId:this.$route.query.exercisesId
      }
    },
    created(){
      this.getExercise();
      this.getNoteList();
    },
    methods: {
      goBack(){
        window.history.go(-1);
      },
      editNote(i){
        let vm=this;
        this.$router.push({path:"/editNote",query:{noteId:vm.knowArray[i].noteId,exercisesId:vm.exercisesId}})
      },
      deleteNote(i){
          let vm=this,
            paras={
              noteId:vm.knowArray[i].noteId
          }
        alert.alertBox({
            type:'default',
            msg:"确定要删除该笔记么?",
            confirm:function(){
                M.deleteNote((res)=>{
                  if(res.status=='success'){
                      alert.alertBox({
                          type:"mini",
                           msg:"删除成功"
                      })
                  }
                },paras)
            }
        })
      },
      getExercise(){
          let para={
            exercisesId:this.exercisesId
          },vm=this;
          M.getExcise(function(data){
              vm.obj=data;
               vm.isVideo=data.hasVideo;
              if(data.hasVideo) {
                vm.videoId=data.videoId;
              }
              vm.getVideo(data.videoId);
          },para)
      },
      getVideo(id){
        let para={
          videoId:id
        },vm=this;
        M.getVideoList(function(data){
             vm.videoSrc=data.coverURL;
        },para)
      },
      getAnswer(id){
        let para={
          answerId:id
        },vm=this;
        M.getAnswer(function(data){
          vm.aObj=data;
        },para)
      },
      submitNow(){
         this.addError(this.aObj.exercisesId)
      },
      addError(id){
          let vm=this, para={
            exercisesId:id
          };
          vm.isClicked=!vm.isClicked;
          M.addErrorExercise(function(data){
              if(data.status=='success'){
                  alert("添加错题成功");
              }
          },para)
      },
      addNote(){
        this.$router.push({path:"/editNote",query:{exercisesId:this.exercisesId}})
      },
      getNoteList(){
        var vm=this,
          paras={exercisesId:vm.exercisesId};
        M.noteList(function(data){
          vm["knowArray"]=data.noteList.map((it,idx)=>{
            return {
              title:it.content,
              name:it.createtime,
              noteId:it.noteId
            }
          })


        },paras)
      }

    },
    components: {
      navs,
      knowledgeList,
      buttons
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
  @import "../styles/base.css";
  @import "../styles/loading.css";
</style>
